[Rainmeter]
Author=flankerAD


[Metadata]
Name=Marilyn&me IP Location Clock
Config=Marilyn&me | Clock
Description=Large analog clock on Marilyn&me with the date IP address location timezone
Instructions=Enjoy Marilyn&me my favourite band...
Version=1.0
Tags=Marilyn&me | Clock | Time | Analog | Digital| Date | IpAddress | Country | City | TimeZone
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Preview=Marilyn&me\Images\Preview.png


[Variables]
FontColor=0,0,0,255
URL="http://www.geobytes.com/IpLocator.htm?GetLocation"
Substitute="&amp;":"&","&quot;":"","&Quot;":"","&lt;br&gt;":"","![CDATA[":"","]]":"","...":"","<":"",">":"","/PRE&gt;":"","PRE&gt;":"","&lt;":""

=======================================MEASURE TIME=====================================================================================

[MeasureTime]
Measure=Time

[MeasureAMPM]
Measure=Time
Format=%p

[MeasureHour]
Measure=Time
Format="%I"

[MeasureMinute]
Measure=Time
Format="%M"

[MeasureSecond]
Measure=Time
Format="%S"

[MeasureDate]
Measure=Time
Format="%a, %b %#d %Y"

[MeasureTimeformat]
Measure=Time
Format="%I:%M:%S %p"


;=======================================MEASURE IP===========================================================================================================

[MeasureIPAddress]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=1800
Url=#URL#
RegExp="(?siU)<h2>IP Address to locate:<input type="text" name="ipaddress" size="15" value="(.*)">.*ro-no_bots_pls12" value="(.*)" size="20".*ro-no_bots_pls13" value="(.*)" size="20".*ro-no_bots_pls14" value="(.*)" size="20".*ro-no_bots_pls15" value="(.*)" size="20".*ro-no_bots_pls16" value="(.*)" size="20".*ro-no_bots_pls17" value="(.*)" size="20".*ro-no_bots_pls10" value="(.*)" size="20".*ro-no_bots_pls19" value="(.*)" size="20".*ro-no_bots_pls9" value="(.*)" size="20".*ro-no_bots_pls4" value="(.*)" size="20""
StringIndex=1

[MeasureCountryName]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureIPAddress]
StringIndex=3

[MeasureCityName]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureIPAddress]
StringIndex=7

[MeasureTimeZone]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureIPAddress]
StringIndex=10

;================================================METER CLOCK======================================================================================

[Ring]
Measure=Calc
Formula=360

[MeterHoursHand]
Meter=ROTATOR
MeasureName=MeasureTime
X=65
Y=39
W=200
H=200
ImageName=hours.png
Antialias=1
OffsetX=0
OffsetY=4
StartAngle=4.7124
RotationAngle=6.2832
ValueReminder=43200

[MeterMinutesHand]
Meter=ROTATOR
MeasureName=MeasureTime
X=r
Y=r
W=200
H=200
ImageName=Minutes.png
Antialias=1
OffsetX=0
OffsetY=4
StartAngle=4.7124
RotationAngle=6.2832
ValueReminder=3600

[Secondsline]
Meter=ROUNDLINE
MeasureName=MeasureTime
X=165
Y=139
W=1
H=1
LineWidth=2
StartAngle=4.7123889
RotationAngle=6.2831853
LineLength=97
LineStart=10
LineColor=190,0,0,200
Solid=0
AntiAlias=1
ValueReminder=60

[Center]
Meter=ROUNDLINE
MeasureName=Ring
X=165
Y=139
W=1
H=1
LineWidth=1
StartAngle=0
RotationAngle=6.2831853
LineLength=9
LineStart=3
LineColor=190,0,0,200
Solid=1
AntiAlias=1
;========================================DISPLAY IP======================================================


[MeterIPAddress]
MeasureName=MeasureIPAddress
Meter=STRING
X=85
Y=350
FontColor=#FontColor#
FontSize=17
StringAlign=LEFT
StringStyle=BOLD
FontFace=Evanescent
Antialias=1
Prefix=" "

[MeterCityName]
MeasureName=MeasureCityName
Meter=STRING
X=79
Y=370
FontColor=#FontColor#
FontSize=17
StringAlign=LEFT
StringStyle=BOLD
FontFace=Evanescent
Antialias=1
Postfix=", "

[MeterCountryName]
MeasureName=MeasureCountryName
Meter=STRING
X=90r
Y=r
FontColor=#FontColor#
FontSize=17
StringAlign=LEFT
StringStyle=BOLD
FontFace=Evanescent
Antialias=1
Prefix=" "

[MeterTimeZone]
MeasureName=MeasureTimeZone
Meter=STRING
X=135
Y=195
FontColor=#FontColor#
FontSize=8
StringStyle=Normal
FontFace=AvantGarde LT Medium
Antialias=1
;Prefix=" "

============================================DISPLAY DATE&TIME====================================================

[MeterDate]
Meter=String
MeasureName=MeasureDate
FontFace=Evanescent
StringStyle=BOLD
FontColor=#FontColor#
FontSize=17
StringCase=UPPER
StringAlign=CENTER
AntiAlias=1
W=200
H=15
X=163
Y=90

[MeterTime]
Meter=STRING
MeasureName=MeasureTimeformat
Stringstyle=BOLD
FontFace=Evanescent
FontColor=#FontColor#
FontSize=19
StringCase=UPPER
StringAlign=CENTER
AntiAlias=1
X=164
Y=169
W=230
;H=20
Text="%1"
; %1 stands for the value of MeasureName (measureTime in this case).

;==========================================Background=============================================================


[MeterClockFace] 
Meter=Image 
ImageName=clock.png
AntiAlias=1